## combat 0.8.1

=== Makefile ===
#
# This Makefile is primarily used to generate the distribution files
# directly from the CVS repository.
#

all:
	chmod +x bin/idl2tcl bin/iordump
	chmod +x demo/*/server.tcl
	chmod +x demo/*/client.tcl
	chmod +x demo/random/random
	chmod +x test/*/dotest
	chmod +x test/*/server.tcl

#
# To make files for distribution from CVS:
#
# make <dist> VERSION=\"<version>\" CVSTAG=\"<tag>\"
#  where:
#   <dist>    is tgz or zip, or "dist" for both
#   <version> is the file's version suffix
#   <tag>     is the CVS tag or date, e.g., \"-D now\"
#

.SUFFIXES:
.PHONY: dist tgz zip co

VERSION = current
CVSTAG = -D now
TGZDIST = gorilla-$(VERSION).tar.gz
ZIPDIST = gorilla-$(VERSION).zip

dist: tgz zip
tgz: $(TGZDIST)
zip: $(ZIPDIST)

$(TGZDIST): co
	(cd co ; tar cf ../combat-$(VERSION).tar combat-$(VERSION))
	gzip -9 combat-$(VERSION).tar

$(ZIPDIST): co
	(cd co/combat-$(VERSION) ; zip -r ../../combat-$(VERSION).zip *)

co:
	rm -rf co
	mkdir co
	(cd co ; cvs export $(CVSTAG) -d combat-$(VERSION) combat)
	$(MAKE) -C co/combat-$(VERSION)/doc
	rm -rf co/combat-$(VERSION)/C++ co/combat-$(VERSION)/idl2tcl-win32
	chmod +x co/combat-$(VERSION)/bin/idl2tcl co/combat-$(VERSION)/bin/iordump
	chmod +x co/combat-$(VERSION)/demo/*/server.tcl
	chmod +x co/combat-$(VERSION)/demo/*/client.tcl
	chmod +x co/combat-$(VERSION)/demo/random/random
	chmod +x co/combat-$(VERSION)/test/*/dotest
	chmod +x co/combat-$(VERSION)/test/*/server.tcl

clean:
	$(MAKE) -C test clean
	$(MAKE) -C bin clean
	rm -f demo/*/server.ior
	find . -name '*~' -exec rm {} \;
	rm -rf co

distclean: clean
	$(MAKE) -C bin distclean

=== bin/Makefile ===
SDX = c:/Software/Tclkit/tclkitsh-win32.upx.exe c:/Software/Tclkit/sdx.kit
WINKIT = c:/Software/Tclkit/tclkitsh-win32.upx.exe
LINKIT = c:/Software/Tclkit/tclkitsh-linux-x86.upx.bin
COMBAT = ../orb
TCLKILL = ../tclkill

all: idl2tcl.exe iordump.exe

idl2tcl.exe: idl2tcl.kit
	rm -rf temp
	mkdir temp
	cp $< temp/idl2tcl.kit
	(cd temp; $(SDX) unwrap idl2tcl.kit)
	cp $(WINKIT) temp/tclkit.exe
	(cd temp; $(SDX) wrap idl2tcl.kit -runtime tclkit.exe)
	mv temp/idl2tcl.kit $@
	rm -rf temp

idl2tcl.kit: idl2tcl
	rm -rf temp
	mkdir temp
	cp idl2tcl temp/idl2tcl.tcl
	(cd temp; $(SDX) qwrap idl2tcl.tcl)
	(cd temp; $(SDX) unwrap idl2tcl.kit)
	cp -r $(COMBAT) temp/idl2tcl.vfs/lib/combat
	cp -r $(TCLKILL) temp/idl2tcl.vfs/lib/tclkill
	(cd temp; $(SDX) wrap idl2tcl.kit)
	mv temp/idl2tcl.kit $@
	rm -rf temp

iordump.exe: iordump.kit
	rm -rf temp
	mkdir temp
	cp $< temp/iordump.kit
	(cd temp; $(SDX) unwrap iordump.kit)
	cp $(WINKIT) temp/tclkit.exe
	(cd temp; $(SDX) wrap iordump.kit -runtime tclkit.exe)
	mv temp/iordump.kit $@
	rm -rf temp

iordump.kit: iordump
	rm -rf temp
	mkdir temp
	cp iordump temp/iordump.tcl
	(cd temp; $(SDX) qwrap iordump.tcl)
	(cd temp; $(SDX) unwrap iordump.kit)
	cp -r $(COMBAT) temp/iordump.vfs/lib/combat
	(cd temp; $(SDX) wrap iordump.kit)
	mv temp/iordump.kit $@
	rm -rf temp

distclean: clean
	rm -rf *.exe *.kit *.zip *.tar.gz

clean:
	rm -rf temp core a.out *.ior *~

=== doc/Makefile ===
all: combat.pdf

LYX = /cygdrive/c/Program\ Files/LyX16/bin/lyx.exe

combat.pdf: combat.lyx
	$(LYX) -e pdf2 $^

clean:
	-rm -f *~

distclean: clean

=== tclkill/Makefile ===
ifeq ($(findstring Cygwin,$(shell uname -a)),Cygwin)
all: kill-windows-x86.dll
else
ifeq ($(findstring Linux,$(shell uname -a)),Linux)
all: kill-linux-x86.so
else
all:
endif
endif

kill-windows-x86.dll: kill-windows-x86.o
	gcc -shared -o $@ $^ -L. -ltclstub84

kill-windows-x86.o: kill.c
	gcc -c -o $@ -Ic:/Software/Tcl/include -DUSE_TCL_STUBS $<

kill-linux-x86.so: kill-linux-x86.o
	gcc -shared -o $@ $^ -L. -ltclstub8.4

kill-linux-x86.o: kill.c
	gcc -c -o $@ -I/h/fpilhofe/soft/build-linux/include -DUSE_TCL_STUBS $<

clean:
	rm -f *~ *.o core core.*

distclean: clean
	rm -f kill-windows-x86.dll kill-linux-x86.so

=== test/Makefile ===
all: test

TESTDIRS = 1 2 3 4 5 6 7 10 11

.PHONY: test clean

test:
	for dir in $(TESTDIRS) ; do \
		(cd $$dir ; ./dotest) || exit 1 ; \
	done

clean:
	find . -name '*~' -exec rm {} \;
	rm -f */.ior

=== test/10/Makefile ===

MAINPATH = ../..

all:	server test.tcl

test:	all
	./dotest

include $(MAINPATH)/MakeVars
include $(MAINPATH)/test-MakeRules

=== test/7/Makefile ===

MAINPATH = ../..

all:	server.tcl test.tcl

test:	all
	./dotest

include $(MAINPATH)/MakeVars
include $(MAINPATH)/test-MakeRules

=== test/9/Makefile ===

MAINPATH = ../..

all:	server CosNaming.tcl test.tcl

test:	all
	./dotest

include $(MAINPATH)/MakeVars
include $(MAINPATH)/test-MakeRules

=== debian/changelog ===
combat (0.8.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/control:
    + Remove disappeared maintainer email address. (Closes: #899479)
    + Update Vcs-* fields.
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.6.1.
  * d/copyright: Fix grammar errors.

  [ Debian Janitor ]
  * Use versioned copyright format URI.

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Nov 2022 13:27:51 -0500

combat (0.8.1-1) unstable; urgency=low

  * Initial packaging. Closes: #636333.

 -- Thomas Girard <thomas.g.girard@free.fr>  Tue, 02 Aug 2011 12:08:07 +0200

=== debian/control ===
Source: combat
Section: interpreters
Priority: optional
Maintainer: Thomas Girard <thomas.g.girard@free.fr>
Build-Depends:
 debhelper-compat (= 13),
 tcl-dev (>= 8.5),
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/debian/combat.git
Vcs-Browser: https://salsa.debian.org/debian/combat
Homepage: http://www.fpx.de/Combat/

Package: tcl-combat
Architecture: all
Depends: ${tclsh:Depends}, itcl3, ${misc:Depends}
Recommends: tao-ifr
Description: CORBA scripting with Tcl
 Combat is a CORBA Object Request Broker that allows the
 implementation of CORBA clients and servers in the Tcl programming
 language.
 .
 On the client side, Combat is not only useful to easily test-drive
 existing CORBA servers, including the ability for rapid prototyping
 or to interactively interface with servers from a console, but makes
 Tcl an exciting language for distributed programming. Also, Tk allows
 to quickly develop attractive user interfaces accessing CORBA
 services. Server-side scripting using [incr Tcl] classes also offers
 a wide range of possibilities.
 .
 Combat is compatible with the CORBA 3.0 specification including the
 IIOP protocol, and has been tested to interoperate with a wide range
 of open-source and commercial ORBs, including MICO, TAO and
 ORBexpress.
 .
 Combat is written in pure Tcl, allowing it to run on all platforms
 supported by Tcl, which is a much wider range than supported by any
 other ORB.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_gencontrol:
	tcltk-depends
	dh_gencontrol

# Work-around permission issue in the 0.8.1 tarball
override_dh_fixperms:
	find debian/tcl-combat -name '*.tcl' -o -name '*.txt' -o -name '*.idl' | xargs chmod -x
	dh_fixperms

=== debian/watch ===
version=3

http://www.fpx.de/Combat/download/combat-([\d\.]*)\.tar\.gz
